/// <reference types="react" />
import { IFormItemPropertyOptions } from "../../models/options/IFormItemPropertyOptions";
import { IFormItemBuilder, IFormItemBuilderResult, LabelRender } from "../interfaces/IFormItemBuilder";
import { IFormItem } from "../../modules/IFormItem";
import { IDynamicPropertyComponentConfig } from "../interfaces/IDynamicPropertyComponentConfig";
import { IItemRenderProps } from "../../interfaces/IItemRenderProps";
import { IPropertyOverrides } from "../../interfaces/IPropertyOverrides";
export declare class ComplexObjectBuilder implements IFormItemBuilder {
    id: string;
    private _labelRender;
    private _validationMessageElement;
    constructor(labelRender?: LabelRender, validationMsgElement?: (message: string) => JSX.Element);
    static Create: (labelRender?: LabelRender | undefined, validationMsgElement?: ((message: string) => JSX.Element) | undefined) => ComplexObjectBuilder;
    convertPropertyOverrides: (propertyOverrides: IPropertyOverrides | undefined, property: string) => IPropertyOverrides | undefined;
    build: <T extends IFormItem, C extends IDynamicPropertyComponentConfig>(renderProps: IItemRenderProps<T>, property: string, schema: IFormItemPropertyOptions<T, C>) => IFormItemBuilderResult;
}
