/// <reference types="react" />
import { IFormItemRender } from "../../components/helpers/FormItemRender";
import { RecursivePartial } from "../../interfaces/types/Partials";
import { IFormbuilderLanguage } from "../../models/language/ILanguage";
import { IFormItemBuilder, LabelRender } from "../interfaces/IFormItemBuilder";
export interface IFormBuilder {
    formItemRender: IFormItemRender;
    /** initialize the formbuilder */
    initialize: () => IFormBuilder;
    /** use the complex builder, which is used for nested forms or render with custom components */
    usingComplexBuilder: (labelRender?: LabelRender, validationMsgElement?: (message: string) => JSX.Element) => IFormBuilder;
    /** Add one or more of the standard builders or your own custom ones */
    withBuilders: (...builders: Array<IFormItemBuilder>) => IFormBuilder;
    /** override all or parts of the text used in the formbuilder */
    withLanguage: (language: RecursivePartial<IFormbuilderLanguage>) => IFormBuilder;
    /** verifies that the formbuilder is setup correctly - throws an error if not */
    verify: () => void;
}
export declare const formbuilder: IFormBuilder;
